Bug 124243 - [PATCH] Missing IPv6 support in webalizer
Summary: [PATCH] Missing IPv6 support in webalizer
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: webalizer (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC3Target
TreeView+ depends on / blocked
 
Reported: 2004-05-24 23:59 UTC by Robert Scheck
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 2.01_10-25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-19 09:44:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
webalizer-2.01-10-ipv6.patch (9.66 KB, patch)
2004-05-25 00:00 UTC, Robert Scheck
no flags Details | Diff

Description Robert Scheck 2004-05-24 23:59:04 UTC
Description of problem:
Load a website using IPv6, use webalizer and view the result - the
generated pages - in your web browser. All IPv6s will be broken,
normally after the first ":", so instead of "3ffe:abc:f00:ba0:..."
only "3ffe" is displayed.

Version-Release number of selected component (if applicable):
webalizer-2.01_10-22

How reproducible & Steps to Reproduce:
See above.

Actual results:
PLD is using a good patch, I changed a bit for Fedora Core's 
webalizer. The patch works very well here at my systems.

Expected results:
Applying the IPv6 patch ;-)

Comment 1 Robert Scheck 2004-05-25 00:00:56 UTC
Created attachment 100525 [details]
webalizer-2.01-10-ipv6.patch

I applied this patch as the last one (seen from the current release/build).

Comment 2 Joe Orton 2004-08-18 21:39:01 UTC
I think Alan integrated this patch already with some other fixes a
while back...

Comment 3 Robert Scheck 2004-08-18 21:45:31 UTC
Maybe he did, but then only to the internal cvs where I don't have 
access to. My patch still applies to -22 and -23 (latest Rawhide), 
so -23 isn't patched.

Comment 4 Joe Orton 2004-08-19 09:44:11 UTC
I've rebuilt it for FC3; Alan, did you want (me) to issue an update
for FC2 with these changes?

Anyway, thanks for patch and report, Robert.

Comment 5 Alan Cox 2004-08-19 10:35:02 UTC
Given it mangles the log its probably worth doing IMHO, but hey its
your package



Note You need to log in before you can comment on or make changes to this bug.